/*
*/

#ifndef PHONON_GST_ABSTRACTVIDEOOUTPUT_H
#define PHONON_GST_ABSTRACTVIDEOOUTPUT_H

#include <phonon/videoframe.h>

namespace Phonon
{
namespace Gst
{

class AbstractVideoOutput
{
	public:
		virtual ~AbstractVideoOutput() {}
		virtual void processFrame( Phonon::VideoFrame& frame ) = 0;
		virtual void* internal1( void* = 0 ) { return 0; }
};

}} //namespace Phonon::Gst

Q_DECLARE_INTERFACE( Phonon::Gst::AbstractVideoOutput, "org.kde.Phonon.Gst.AbstractVideoOutput/0.1" )

#endif // PHONON_FAKE_ABSTRACTVIDEOOUTPUT_H
// vim: sw=4 ts=4
